Package com.smartgwt.client.types

# Enum MultiInsertStrategy

java.lang.Object
java.lang.Enum<MultiInsertStrategy>
com.smartgwt.client.types.MultiInsertStrategy

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MultiInsertStrategy>`, `Constable`

public enum MultiInsertStrategy extends Enum<MultiInsertStrategy> implements ValueEnum
For `SQLDataSource` only, the strategy to use to insert multiple records when `addData()` is called with a list of records.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MULTIPLEVALUES`
  Generate a single SQL statement that inserts multiple rows, using a database-specific strategy (usually specifying multiple `VALUES` clauses, but Oracle does not support that approach so we implement the same behavior using subselects).
  `SIMPLE`
  Iterate over the supplied list of records and issue a single-record add for each of them

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MultiInsertStrategy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultiInsertStrategy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SIMPLE

    public static final MultiInsertStrategy SIMPLE
    Iterate over the supplied list of records and issue a single-record add for each of them

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "simple".

  - ### MULTIPLEVALUES

    public static final MultiInsertStrategy MULTIPLEVALUES
    Generate a single SQL statement that inserts multiple rows, using a database-specific strategy (usually specifying multiple `VALUES` clauses, but Oracle does not support that approach so we implement the same behavior using subselects). Actually, depending on the number of records to insert and the `batch size`, this strategy may generate more than one SQL statement

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "multipleValues".

- ## Method Details

  - ### values

    public static MultiInsertStrategy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultiInsertStrategy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`